%define libxdmcp %mklibname xdmcp 6
%define develname %mklibname xdmcp -d
%define staticname %mklibname xdmcp -s -d

Name: libxdmcp
Summary: X Display Manager Control Protocol library
Version: 1.1.2
Release: %mkrel 3.1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXdmcp-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
Obsoletes: 	%{name} < %version

%description
X Display Manager Control Protocol library

#-----------------------------------------------------------

%package -n %{libxdmcp}
Summary: Development files for %{name}
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxdmcp}
X Display Manager Control Protocol library

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxdmcp} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxdmcp-devel = %{version}-%{release}
Provides: libxdmcp6-devel = %{version}-%{release}
Obsoletes: %{mklibname xdmcp6}-devel
Conflicts: libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}

%pre -n %{develname}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi


#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}
Provides: libxdmcp-static-devel = %{version}-%{release}
Provides: libxdmcp6-static-devel = %{version}-%{release}
Obsoletes: %{mklibname xdmcp6}-static-devel
Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{staticname}
Static development files for %{name}


#-----------------------------------------------------------

%prep
%setup -q -n libXdmcp-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--enable-docs=no

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -n %{libxdmcp}
%defattr(-,root,root)
%{_libdir}/libXdmcp.so.6
%{_libdir}/libXdmcp.so.6.0.0

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXdmcp.so
%{_libdir}/pkgconfig/xdmcp.pc
%{_includedir}/X11/Xdmcp.h

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libXdmcp.a


%changelog
* Wed Jul 05 2017 adrianomorselli <adrianomorselli> 1.1.2-3.1uplos2017
- rebuild for 2017
